<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
   
    <groupId>com.example</groupId>
    <artifactId>MCdiscord_bot</artifactId>
    <version>1.1be01</version>
    <packaging>jar</packaging> <!-- Specify the correct packaging type here -->

    <properties>
        <!-- Specify Java version -->
        <maven.compiler.source>21</maven.compiler.source>
        <maven.compiler.target>21</maven.compiler.target>
    </properties>

    <repositories>
        <repository>
            <id>spigot-repo</id>
            <name>spigot-1.20.4</name>
            <url>https://repo.rosewooddev.io/repository/public/</url>
        </repository>

     <repository>
        <id>buk-repo</id>
        <url>https://hub.spigotmc.org/nexus/content/repositories/snapshots/</url>
    </repository>

    <repository>
        <id>jcenter</id>
        <name>jcenter-bintray</name>
        <url>https://jcenter.bintray.com</url>
    </repository>


    </repositories>    

    <dependencies>
        <dependency>
            <groupId>org.bukkit</groupId>
            <artifactId>bukkit</artifactId>
            <version>1.15.2-R0.1-SNAPSHOT</version> <!-- Update to the appropriate version -->
            <scope>provided</scope>
        </dependency>
        <!-- Spigot API dependency -->
        <dependency>
            <groupId>org.spigotmc</groupId>
            <artifactId>spigot</artifactId>
            <version>1.20.4</version>
            <scope>provided</scope>
        </dependency>
       <!--(Java Discord API) with JFlac and Tritonus-dsp -->
    <dependency>
    <!-- https://mvnrepository.com/artifact/net.dv8tion/JDA -->
        <groupId>net.dv8tion</groupId>
        <artifactId>JDA</artifactId>
        <version>5.0.0-alpha.4</version><!-- Update version to the latest stable version -->
        <exclusions>
            <exclusion>
                <groupId>jflac</groupId>
                <artifactId>jflac</artifactId>
            </exclusion>
            <exclusion>
                <groupId>tritonus</groupId>
                <artifactId>tritonus-dsp</artifactId>
            </exclusion>
            <exclusion>
                <groupId>club.minnced</groupId>
                <artifactId>opus-java</artifactId>
            </exclusion>
        </exclusions>
        <scope>compile</scope>
        </dependency>

        <!-- Logging-->
        <dependency>
            <groupId>org.apache.logging.log4j</groupId>
            <artifactId>log4j-core</artifactId>
            <version>2.23.1</version> <!-- Use the latest STABLE version -->
        </dependency>
        <dependency>
            <groupId>org.apache.logging.log4j</groupId>
            <artifactId>log4j-api</artifactId>
            <version>2.23.1</version>
        </dependency>
        <dependency>
            <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-compiler-plugin</artifactId>
            <version>3.13.0</version>
            <type>maven-plugin</type>
        </dependency>

        <!-- Add other dependencies as needed -->
    
      <dependency>
        <groupId>net.katsstuff</groupId>
        <artifactId>ackcord-data_sjs1_2.13</artifactId>
        <version>2.0.0.0-M1</version>
      </dependency>
    
      
    </dependencies>

<build>
    <plugins>
        <plugin>
            <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-assembly-plugin</artifactId>
            <version>3.3.0</version> <!-- Adjust version as needed -->
            <configuration>
            <resources>
                <resource>
                <directory>src/main/resources</directory>
                <includes>
                    <include>**/*.yml</include>
                </includes>
                </resource>
            </resources>           
                <descriptorRefs>
                    <descriptorRef>jar-with-dependencies</descriptorRef>
                </descriptorRefs>
                <archive>
                    <manifest>
                        <mainClass>disMCbot</mainClass>
                    </manifest>
                    <manifestEntries>
                        <Class-Path>.</Class-Path>
                    </manifestEntries>
                </archive>
                <appendAssemblyId>false</appendAssemblyId>
                <finalName>${project.artifactId}-${project.version}</finalName>
                <includes>
                    <include>plugin.yml</include>
                </includes>
            </configuration>
            <executions>
                <execution>
                    <id>make-assembly</id>
                    <phase>package</phase>
                    <goals>
                        <goal>single</goal>
                    </goals>
                </execution>
            </executions>
        </plugin>
    </plugins>
</build>

</project>